Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.PDF3DLaunchSetting Class Reference

Inherits FoxitPDFSDKPython2._object.

## Public Member Functions
def | PDF3DLaunchSetting ()
| Constructor. More...
def | Set (activation_enable, activation_disable, activation_playback, window_width, window_height, border_width, is_transparent_background, poster_image, poster_file_path)
| Set the values. More...

## Static Public Attributes
| activation_disable = _fsdk.PDF3DLaunchSetting_activation_disable
| The activation disable setting for 3D. Please refer to values starting from FoxitPDFSDKPython2.PDF3DLaunchSetting.e_3DActivationDisableSettingContextMenuSelected and this should be one of these values.
| activation_enable = _fsdk.PDF3DLaunchSetting_activation_enable
| The activation enable setting for 3D. Please refer to values starting from FoxitPDFSDKPython2.PDF3DLaunchSetting.e_3DActivationEnableSettingContentClicked and this should be one of these values.
| activation_playback = _fsdk.PDF3DLaunchSetting_activation_playback
| The activation playback setting for 3D. Please refer to values starting from FoxitPDFSDKPython2.PDF3DLaunchSetting.e_3DActivationPlaybackStyleOnPage and this should be one of these values.
| border_width = _fsdk.PDF3DLaunchSetting_border_width
| The border width setting for 3D. Please refer to values starting from FoxitPDFSDKPython2.PDF3DLaunchSetting.e_3DAppearanceSettingBorderWidthNone and this should be one of these values.
| e_3DActivationDisableSettingContextMenuSelected = _fsdk.PDF3DLaunchSetting_e_3DActivationDisableSettingContextMenuSelected
| Disable when "Disable Content" is selected from the context menu.
| e_3DActivationDisableSettingPageClosed = _fsdk.PDF3DLaunchSetting_e_3DActivationDisableSettingPageClosed
| Disable when the page containing the content is closed.
| e_3DActivationDisableSettingPageInvisible = _fsdk.PDF3DLaunchSetting_e_3DActivationDisableSettingPageInvisible
| Disable when the page containing the content is not visible.
| e_3DActivationEnableSettingContentClicked = _fsdk.PDF3DLaunchSetting_e_3DActivationEnableSettingContentClicked
| Enable when the content is clicked.
| e_3DActivationEnableSettingPageOpened = _fsdk.PDF3DLaunchSetting_e_3DActivationEnableSettingPageOpened
| Enable when the page containing the content is opened.
| e_3DActivationEnableSettingPageVisible = _fsdk.PDF3DLaunchSetting_e_3DActivationEnableSettingPageVisible
| Enable when the page containing the content is visible.
| e_3DActivationPlaybackStyleInFloatingWindow = _fsdk.PDF3DLaunchSetting_e_3DActivationPlaybackStyleInFloatingWindow
| Play content in floating window.
| e_3DActivationPlaybackStyleOnPage = _fsdk.PDF3DLaunchSetting_e_3DActivationPlaybackStyleOnPage
| Play content on page.
| e_3DAppearanceSettingBorderWidthMedium = _fsdk.PDF3DLaunchSetting_e_3DAppearanceSettingBorderWidthMedium
| Medium.
| e_3DAppearanceSettingBorderWidthNone = _fsdk.PDF3DLaunchSetting_e_3DAppearanceSettingBorderWidthNone
| No border.
| e_3DAppearanceSettingBorderWidthThick = _fsdk.PDF3DLaunchSetting_e_3DAppearanceSettingBorderWidthThick
| Thick.
| e_3DAppearanceSettingBorderWidthThin = _fsdk.PDF3DLaunchSetting_e_3DAppearanceSettingBorderWidthThin
| Thin.
| e_3DPosterImageCreateFromFile = _fsdk.PDF3DLaunchSetting_e_3DPosterImageCreateFromFile
| Create poster from file.
| e_3DPosterImageKeepCurrent = _fsdk.PDF3DLaunchSetting_e_3DPosterImageKeepCurrent
| Keep current poster.
| e_3DPosterImageRetrieveFromDefaultView = _fsdk.PDF3DLaunchSetting_e_3DPosterImageRetrieveFromDefaultView
| Retrieve poster from default view.
| is_transparent_background = _fsdk.PDF3DLaunchSetting_is_transparent_background
| This flag indicates whether the 3D content background is transparent. true means transparent, while false means not. Default value is false.
| poster_file_path = _fsdk.PDF3DLaunchSetting_poster_file_path
| The file path of poster image. This field is valid only when poster_image is set to FoxitPDFSDKPython2.PDF3DLaunchSetting.e_3DPosterImageCreateFromFile .
| poster_image = _fsdk.PDF3DLaunchSetting_poster_image
| The poster image. Please refer to values starting from FoxitPDFSDKPython2.PDF3DLaunchSetting.e_3DPosterImageKeepCurrent and this should be one of these values.
| window_height = _fsdk.PDF3DLaunchSetting_window_height
| The window height setting for 3D. Default value is 240.
| window_width = _fsdk.PDF3DLaunchSetting_window_width
| The window width setting for 3D. Default value is 320.

## Detailed Description

This class represents 3D launch setting.

## Constructor & Destructor Documentation

## ◆ PDF3DLaunchSetting()

def FoxitPDFSDKPython2.PDF3DLaunchSetting.PDF3DLaunchSetting | ( |  | ) |

Constructor.

Constructor with parameter.

Constructor, with another 3D launch setting object.

Parameters

  [in] | launch_setting | Another 3D launch setting object.
  [in] | activation_enable | The activation enable setting for 3D. Please refer to values starting from FoxitPDFSDKPython2.PDF3DLaunchSetting.e_3DActivationEnableSettingContentClicked and this should be one of these values.
  [in] | activation_disable | The activation disable setting for 3D. Please refer to values starting from FoxitPDFSDKPython2.PDF3DLaunchSetting.e_3DActivationDisableSettingContextMenuSelected and this should be one of these values.
  [in] | activation_playback | The activation playback setting for 3D. Please refer to values starting from FoxitPDFSDKPython2.PDF3DLaunchSetting.e_3DActivationPlaybackStyleOnPage and this should be one of these values.
  [in] | window_width | The window width setting for 3D. Default value is 320.
  [in] | window_height | The window height setting for 3D. Default value is 240.
  [in] | border_width | The border width setting for 3D. Please refer to values starting from FoxitPDFSDKPython2.PDF3DLaunchSetting.e_3DAppearanceSettingBorderWidthNone and this should be one of these values.
  [in] | is_transparent_background | This flag indicates whether the 3D content background is transparent.
  [in] | poster_image | The poster image. Please refer to values starting from FoxitPDFSDKPython2.PDF3DLaunchSetting.e_3DPosterImageKeepCurrent and this should be one of these values.
  [in] | poster_file_path | The file path of poster image.

## Member Function Documentation

## ◆ Set()

def FoxitPDFSDKPython2.PDF3DLaunchSetting.Set | ( |  | activation_enable,
|  |  | activation_disable,
|  |  | activation_playback,
|  |  | window_width,
|  |  | window_height,
|  |  | border_width,
|  |  | is_transparent_background,
|  |  | poster_image,
|  |  | poster_file_path
| ) |  |

Set the values.

Parameters

  [in] | activation_enable | The activation enable setting for 3D. Please refer to values starting from FoxitPDFSDKPython2.PDF3DLaunchSetting.e_3DActivationEnableSettingContentClicked and this should be one of these values.
  [in] | activation_disable | The activation disable setting for 3D. Please refer to values starting from FoxitPDFSDKPython2.PDF3DLaunchSetting.e_3DActivationDisableSettingContextMenuSelected and this should be one of these values.
  [in] | activation_playback | The activation playback setting for 3D. Please refer to values starting from FoxitPDFSDKPython2.PDF3DLaunchSetting.e_3DActivationPlaybackStyleOnPage and this should be one of these values.
  [in] | window_width | The window width setting for 3D. Default value is 320.
  [in] | window_height | The window height setting for 3D. Default value is 240.
  [in] | border_width | The border width setting for 3D. Please refer to values starting from FoxitPDFSDKPython2.PDF3DLaunchSetting.e_3DAppearanceSettingBorderWidthNone and this should be one of these values.
  [in] | is_transparent_background | This flag indicates whether the 3D content background is transparent.
  [in] | poster_image | The poster image. Please refer to values starting from FoxitPDFSDKPython2.PDF3DLaunchSetting.e_3DPosterImageKeepCurrent and this should be one of these values.
  [in] | poster_file_path | The file path of poster image.

Returns
  None.